[Stable Update] 2022-05-13 - Kernels, Mesa, Nvidia, Gnome 42, PipeWire, LIbreOffice, KDE Gear & Frameworks, Virtualbox, Qemu 7.0

so can you boot into your system? or you get stuck on black screen?

After you chroot, just run pacman -Syyuu to complete the update.

1 Like

Got the same issue with KDE. All fonts are narrower and sometimes even blurry.

2 Likes

librewolf fails to update?

Preparing...
Synchronizing package databases...
Warning: anki: ignoring package upgrade (2.1.51-2 => 2.1.52-1)
Cloning librewolf-bin build files...
Generating librewolf-bin information...
Checking librewolf-bin dependencies...
Checking libkipi dependencies...
Resolving dependencies...
Checking inter-conflicts...
Cloning libkipi build files...
Generating libkipi information...

Building libkipi...
==> Making package: libkipi 22.04.0-1 (Mo 16 Mai 2022 14:54:08)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Downloading libkipi-22.04.0.tar.xz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100 88444  100 88444    0     0   155k      0 --:--:-- --:--:-- --:--:--  297k
  -> Downloading libkipi-22.04.0.tar.xz.sig...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   833  100   833    0     0   3222      0 --:--:-- --:--:-- --:--:--  3228
==> Validating source files with sha256sums...
    libkipi-22.04.0.tar.xz ... Passed
    libkipi-22.04.0.tar.xz.sig ... Skipped
==> Verifying source file signatures with gpg...
    libkipi-22.04.0.tar.xz ... FAILED (unknown public key BB463350D6EF31EF)
==> ERROR: One or more PGP signatures could not be verified!
Failed to build libkipi

its because of the libkipi… and dont update librewolf if youre on stable, the latest librewolf doesnt work…

The update crashed my session, however a simple reboot did the trick and all updates were already installed (apart from AUR).

After the update, the picture Save As dialog in telegram-desktop behaves strange and dark mode is ignored; the dialog is now white. “Strange” means, you cannot enter a file name. When you enter a letter, the focus jumps to the search field. So you have to enter the file name in the search field and copy/paste it to file name field. Downgrading telegram-desktop to previous version didn’t help, so it’s probably caused by another updated software.

I haven’t seen that error but in my case I can’t change the download path. If I change the path and save the file, it doesn’t save anything, but it works I I don’t change anything.

After upgrade, I can’t type Korean in any application, but I can type it in Gnome search field.
What am I missing?
I am using IBus and ibus-hangul

A post was split to a new topic: I need GCC 12.1 to rebuild gnat-gps

Applying the update with the KDE Plasma desktop reset my Dolphin configuration.
Here’s a list of what I had to change in order to return it to the way it was, some of which were default settings since installation:

  • Change the positions of the top toolbar. I had it on the left but the update returned it to the top.

  • In the Preferences → General → Behavior, I had to mark the option “remind visualization style for each folder” in order for my Downloads folder to be ordered by date again while not affecting the rest of my folders.

  • In Preferences → Startup I had to check the option to open my home folder at startup which was the default but after the update the selected option was “Folders, tabs and windows from last session”

Hi,

since the latest update my system is having issues with shutting down and restarting.
When issuing a shutdown or reboot command it takes ages to complete.
When I look at what it is that causes it to hang it’s usually inconsistent, by which I mean it changes between reboots/shutdown.

I’ve seen this mentioned in this thread already, the person who experienced the same issue fixed it by removing orphaned packages, I’ve tried this but it didn’t solve it for me.

I’m using Manjaro Gnome, for now, as I don’t like the direction Gnome is heading in with this new release.

Any help would be greatly appreciated, thanks!

Kind regards

After upgrading today I can’t start mediathekview anymore. I get the following message:

Error: A JNI error has occurred, please check your installation and try again
Exception in thread "main" java.lang.UnsupportedClassVersionError: mediathek/Main has been compiled by a more recent version of the Java Runtime (class file version 61.0), this version of the Java Runtime only recognizes class file versions up to 52.0
	at java.lang.ClassLoader.defineClass1(Native Method)
	at java.lang.ClassLoader.defineClass(ClassLoader.java:756)
	at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
	at java.net.URLClassLoader.defineClass(URLClassLoader.java:473)
	at java.net.URLClassLoader.access$100(URLClassLoader.java:74)
	at java.net.URLClassLoader$1.run(URLClassLoader.java:369)
	at java.net.URLClassLoader$1.run(URLClassLoader.java:363)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(URLClassLoader.java:362)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:418)
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:352)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:351)
	at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:601)

Can someone please help with this issue?

@raguse Thank you, it has been quite annoying!! I’ve changed it and will see how it goes

is anyone having same issue? I use GNOME with wayland, after the update I can’t type anything in certain text fields, e.g. authentication window and manjaro launch and switch applications text fields, but the most annoying is lock screen, I can’t type in password there (login screen is fine, so at least I can login :slight_smile:)

I have a similar error message with XFCE and can confirm it.
Edit: Same with Cinnamon and Mediathekview

AUR update doesn’t work from a Russian IP (sh!t hosting?):

pamac update --aur
Preparing...
Synchronizing package databases...
https://aur.manjaro.org/packages-meta-ext-v1.json.gz: Could not connect: Network is unreachable
Failed to synchronize AUR database
Nothing to do.
Transaction successfully finished.

Works with the US VPN:

pamac update --aur
Preparing...
Synchronizing package databases...
Nothing to do.
Transaction successfully finished.

Try installing or re-installing

jre-openjdk

When you enter

java -version

in terminal it should show

openjdk version "18.0.1.1" 2022-04-22
OpenJDK Runtime Environment (build 18.0.1.1+2)

Mediathekview runs fine for me in KDE Plasma

The solution for me was to set the default system java version to version 18:

sudo archlinux-java set java-18-openjdk

This works for me, thanks (previous default was java-8-openjdk)!